kio Library: KIO::ListJob Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::ListJob Class Reference

A ListJob is allows you to get the get the content of a directory. More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::ListJob:

[legend]
Collaboration diagram for KIO::ListJob:

[legend]
List of all members.

## Signals
void | entries (KIO::Job *job, const KIO::UDSEntryList &list)
void | redirection (KIO::Job *job, const KURL &url)
void | permanentRedirection (KIO::Job *job, const KURL &fromUrl, const KURL &toUrl)
## Public Member Functions
| ListJob (const KURL &url, bool showProgressInfo, bool recursive=false, QString prefix=QString::null, bool includeHidden=true)
virtual void | start (Slave *slave)
const KURL & | redirectionURL () const
void | setUnrestricted (bool unrestricted)
## Protected Slots
virtual void | slotFinished ()
virtual void | slotMetaData (const KIO::MetaData &_metaData)
virtual void | slotResult (KIO::Job *job)
void | slotListEntries (const KIO::UDSEntryList &list)
void | slotRedirection (const KURL &url)
void | gotEntries (KIO::Job *subjob, const KIO::UDSEntryList &list)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A ListJob is allows you to get the get the content of a directory.

Don't create the job directly, but use KIO::listRecursive() or KIO::listDir() instead.

See also:
  KIO::listRecursive()

  KIO::listDir()

Definition at line 1329 of file jobclasses.h.

## Constructor & Destructor Documentation

ListJob::ListJob | ( | const KURL & | url,
|  | bool | showProgressInfo,
|  | bool | recursive = `false`,
|  | QString | prefix = `QString::null`,
|  | bool | includeHidden = `true`
| ) |

  | Do not create a ListJob directly. Use KIO::listDir() or KIO::listRecursive() instead. Parameters:
  | url | the url of the directory
  | showProgressInfo | true to show progress information to the user
  | recursive | true to get the data recursively from child directories, false to get only the content of the specified dir
  | prefix | the prefix of the files, or QString::null for no prefix
  | includeHidden | true to include hidden files (those starting with '.')
Definition at line 1905 of file job.cpp.

## Member Function Documentation

const KURL& KIO::ListJob::redirectionURL | ( |  | ) | const`[inline]`

| Returns the ListJob's redirection URL. This will be invalid if there was no redirection. Returns: the redirection url Since: 3.4.1 Definition at line 1361 of file jobclasses.h.

void ListJob::setUnrestricted | ( | bool | unrestricted | ) |

| Do not apply any KIOSK restrictions to this job. Since: 3.2 Definition at line 2085 of file job.cpp. Referenced by KIO::DeleteJob::slotResult().

void KIO::ListJob::entries | ( | KIO::Job * | job,
|  | const KIO::UDSEntryList & | list
| ) | `[signal]`

  | This signal emits the entry found by the job while listing. The progress signals aren't specific to ListJob. It simply uses SimpleJob's processedSize (number of entries listed) and totalSize (total number of entries, if known), as well as percent. Parameters:
  | job | the job that emitted this signal
  | list | the list of UDSEntries

void KIO::ListJob::redirection | ( | KIO::Job * | job,
|  | const KURL & | url
| ) | `[signal]`

  | Signals a redirection. Use to update the URL shown to the user. The redirection itself is handled internally. Parameters:
  | job | the job that is redirected
  | url | the new url
Referenced by slotFinished().

void KIO::ListJob::permanentRedirection | ( | KIO::Job * | job,
|  | const KURL & | fromUrl,
|  | const KURL & | toUrl
| ) | `[signal]`

  | Signals a permanent redirection. The redirection itself is handled internally. Parameters:
  | job | the job that emitted this signal
  | fromUrl | the original URL
  | toUrl | the new URL
Since: 3.1 Referenced by slotFinished().

void ListJob::slotFinished | ( |  | ) | `[protected, virtual, slot]`

| Called when the slave marks the job as finished. Reimplemented from KIO::SimpleJob. Definition at line 2033 of file job.cpp. References KIO::Scheduler::doJob(), KMimeType::findByURL(), KURL::isEmpty(), QString::isEmpty(), KURL::isLocalFile(), KURL::isValid(), permanentRedirection(), KIO::Job::queryMetaData(), redirection(), KURL::setProtocol(), and KIO::SimpleJob::slotFinished().

void ListJob::slotMetaData | ( | const KIO::MetaData & | _metaData | ) | `[protected, virtual, slot]`

  | MetaData from the slave is received. Parameters:
  | _metaData | the meta data
See also: metaData() Reimplemented from KIO::SimpleJob. Definition at line 2068 of file job.cpp. References KIO::SimpleJob::slotMetaData().

void ListJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

  | Called whenever a subjob finishes. Default implementation checks for errors and propagates to parent job, then calls removeSubjob. Override if you don't want subjobs errors to be propagated. Parameters:
  | job | the subjob
See also: result() Reimplemented from KIO::Job. Definition at line 2013 of file job.cpp. References KIO::Job::removeSubjob().

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003